### Function

# Pango version_check

since: 1.16

#### Declaration [src]

    const char*
    pango_version_check (
      int required_major,
      int required_minor,
      int required_micro
    )

#### Description [src]

Checks that the Pango library in use is compatible with the given version.

Generally you would pass in the constants `PANGO_VERSION_MAJOR`, `PANGO_VERSION_MINOR`, `PANGO_VERSION_MICRO` as the three arguments to this function; that produces a check that the library in use at run-time is compatible with the version of Pango the application or module was compiled against.

Compatibility is defined by two things: first the version of the running library is newer than the version `required_major`.required_minor.`required_micro`. Second the running library must be binary compatible with the version `required_major`.required_minor.`required_micro` (same major version.)

For compile-time version checking use PANGO_VERSION_CHECK().

Available since: 1.16

#### Parameters

`required_major`

  Type: `int`

  The required major version.

`required_minor`

  Type: `int`

  The required minor version.

`required_micro`

  Type: `int`

  The required major version.

#### Return value

Type: `const char*`

`NULL` if the Pango library is compatible with the given version, or a string describing the version mismatch. The returned string is owned by Pango and should not be modified or freed.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.